Loading...
Searching...
No Matches
_ocsd_extern_dcd_fact Struct Reference
OpenCSD Library : Custom External Decoder C-API

`#include <ocsd_c_api_custom.h>`

Collaboration diagram for _ocsd_extern_dcd_fact:
[legend]

## Public Attributes

fnCreateCustomDecoder | createDecoder
fnDestroyCustomDecoder | destroyDecoder
fnGetCSIDFromConfig | csidFromConfig
fnPacketToString | pktToString
ocsd_trace_protocol_t | protocol_id

## Detailed Description

set of functions and callbacks to create an extern custom decoder in the library via the C API interface. This structure is registered with the library by name and then decoders of the type can be created on the decode tree.

Definition at line 237 of file ocsd_c_api_custom.h.

## Member Data Documentation

## createDecoder

fnCreateCustomDecoder _ocsd_extern_dcd_fact::createDecoder

Function pointer to create a decoder instance.

Definition at line 238 of file ocsd_c_api_custom.h.

## csidFromConfig

fnGetCSIDFromConfig _ocsd_extern_dcd_fact::csidFromConfig

Function pointer to extract the CSID from a config structure

Definition at line 240 of file ocsd_c_api_custom.h.

## destroyDecoder

fnDestroyCustomDecoder _ocsd_extern_dcd_fact::destroyDecoder

Function pointer to destroy a decoder instance.

Definition at line 239 of file ocsd_c_api_custom.h.

## pktToString

fnPacketToString _ocsd_extern_dcd_fact::pktToString

Function pointer to print a trace protocol packet in this decoder

Definition at line 241 of file ocsd_c_api_custom.h.

## protocol_id

ocsd_trace_protocol_t _ocsd_extern_dcd_fact::protocol_id

protocol ID assigned during registration.

Definition at line 243 of file ocsd_c_api_custom.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/c_api/ocsd_c_api_custom.h